List the people who hold a community (staff)
GET /api/communities/{communityId}/members. List the people who hold a community (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Everyone with active access to the community, granted directly or through a bundle, paged and searched by name or email.
Path Parameters
Query Parameters
1 <= value <= 900719925474099111 <= value <= 10020Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/communities/string/members"{ "rows": [ { "id": "string", "firstName": "string", "lastName": "string", "email": "string", "image": "string", "role": "owner" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Reorder the links in a space (staff) PUT
PUT /api/communities/{communityId}/spaces/{spaceId}/links/order. Reorder the links in a space (staff). Headless LMS Communities API reference.
List the members, requests and invitations of a space (staff) GET
GET /api/communities/{communityId}/spaces/{spaceId}/members. List the members, requests and invitations of a space (staff). Headless LMS Communities API reference.